package ru.yandex.autotests.directapi.darkside.model.bslogs.clientdata;

import com.google.gson.annotations.SerializedName;

public class DynamicPrice {

    @SerializedName("cid")
    private String cid;

    @SerializedName("OrderID")
    private String orderId;

    @SerializedName("pid")
    private String pid;

    @SerializedName("BannerGroupEID")
    private String bannerGroupEid;

    @SerializedName("dyn_id")
    private String dynId;

    @SerializedName("DynamicConditionID")
    private String dynamicConditionId;

    @SerializedName("AutoBudget")
    private Integer autoBudget;

    @SerializedName("AutoBudgetPriority")
    private String autoBudgetPriority;

    @SerializedName("CurrencyISOCode")
    private Integer currencyIsoCode;

    @SerializedName("IndependentBids")
    private Integer independentBids;

    @SerializedName("QueueSetTime")
    private String queueSetTime;

    @SerializedName("price")
    private Float price;

    @SerializedName("price_context")
    private Float priceContext;

    @SerializedName("ContextPriceCoef")
    private Integer contextPriceCoef;

    public String getCid() {
        return cid;
    }

    public void setCid(String cid) {
        this.cid = cid;
    }

    public String getOrderId() {
        return orderId;
    }

    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    public String getPid() {
        return pid;
    }

    public void setPid(String pid) {
        this.pid = pid;
    }

    public String getBannerGroupEid() {
        return bannerGroupEid;
    }

    public void setBannerGroupEid(String bannerGroupEid) {
        this.bannerGroupEid = bannerGroupEid;
    }

    public String getDynId() {
        return dynId;
    }

    public void setDynId(String dynId) {
        this.dynId = dynId;
    }

    public String getDynamicConditionId() {
        return dynamicConditionId;
    }

    public void setDynamicConditionId(String dynamicConditionId) {
        this.dynamicConditionId = dynamicConditionId;
    }

    public Integer getAutoBudget() {
        return autoBudget;
    }

    public void setAutoBudget(Integer autoBudget) {
        this.autoBudget = autoBudget;
    }

    public String getAutoBudgetPriority() {
        return autoBudgetPriority;
    }

    public void setAutoBudgetPriority(String autoBudgetPriority) {
        this.autoBudgetPriority = autoBudgetPriority;
    }

    public Integer getCurrencyIsoCode() {
        return currencyIsoCode;
    }

    public void setCurrencyIsoCode(Integer currencyIsoCode) {
        this.currencyIsoCode = currencyIsoCode;
    }

    public Integer getIndependentBids() {
        return independentBids;
    }

    public void setIndependentBids(Integer independentBids) {
        this.independentBids = independentBids;
    }

    public String getQueueSetTime() {
        return queueSetTime;
    }

    public Float getPrice() {
        return price;
    }

    public void setPrice(Float price) {
        this.price = price;
    }

    public Float getPriceContext() {
        return priceContext;
    }

    public void setPriceContext(Float priceContext) {
        this.priceContext = priceContext;
    }

    public void setQueueSetTime(String queueSetTime) {
        this.queueSetTime = queueSetTime;
    }

    public Integer getContextPriceCoef() {
        return contextPriceCoef;
    }

    public void setContextPriceCoef(Integer contextPriceCoef) {
        this.contextPriceCoef = contextPriceCoef;
    }
}
